Package org.eclipse.emf.compare.match

# Class MatchOfContainmentReferenceChangeAdapter

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterImpl
org.eclipse.emf.compare.match.MatchOfContainmentReferenceChangeAdapter

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`

public class MatchOfContainmentReferenceChangeAdapter extends AdapterImpl
Specific `Adapter` to `Match`es that are related to containment `ReferenceChange`s (that are placed in their parent `Match`).

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Field Summary

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

## Constructor Summary

Constructors
Constructor
Description
`MatchOfContainmentReferenceChangeAdapter(ReferenceChange referenceChange)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ReferenceChange`
`getReferenceChange()`
Get the `ReferenceChange` to associate with the adapted `Match`.
`boolean`
`isAdapterForType(Object type)`
.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, notifyChanged, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MatchOfContainmentReferenceChangeAdapter

public MatchOfContainmentReferenceChangeAdapter(ReferenceChange referenceChange)
Constructor.

Parameters:
  `referenceChange` - The `ReferenceChange` to associate with the adapted `Match`.

## Method Details

### isAdapterForType

public boolean isAdapterForType(Object type)
.

Specified by:
  `isAdapterForType` in interface `Adapter`
Overrides:
  `isAdapterForType` in class `AdapterImpl`
See Also:
  - `AdapterImpl.isAdapterForType(Object)`

### getReferenceChange

public ReferenceChange getReferenceChange()
Get the `ReferenceChange` to associate with the adapted `Match`.

Returns:
  The `ReferenceChange` to associate with the adapted `Match`.